Summary: A compact getty program for virtual consoles only.
Name: mingetty
Version: 0.9.4
Copyright: GPL
Release: 14tr
Group: System/Console
Source0: ftp://jurix.jura.uni-sb.de/pub/linux/source/system/daemons/mingetty-%{version}.tar.gz
Patch0: mingetty-0.9.4-make.patch
Patch1: mingetty-0.9.4-glibc.patch
Patch2: mingetty-0.9.4-isprint.patch
Patch3: mingetty-0.9.4-wtmplock.patch
Patch4: mingetty-0.9.4-fgetc.patch
Patch5: mingetty-0.9.4-syslog.patch
BuildRoot: /var/tmp/mingetty-root

%description
The mingetty program is a lightweight, minimalist getty program for
use only on virtual consoles.  Mingetty is not suitable for serial
lines (you should use the mgetty program instead for that purpose).

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .glibc
%patch2 -p1 -b .isprint
%patch3 -p1 -b .wtmplock
%patch4 -p1 -b .fgetc
%patch5 -p1 -b .syslog

%build
make "RPM_OPTS=$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{sbin,usr/share/man/man8}
make install SBINDIR=$RPM_BUILD_ROOT/sbin MANDIR=$RPM_BUILD_ROOT/usr/share/man

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ANNOUNCE COPYING TODO
/sbin/mingetty
/usr/share/man/man8/mingetty.8*

%changelog
* Mon Jun 25 2001 Oystein Viggen <oysteivi@trustix.com>
- Apply fgetc and syslog patches.

* Mon Jan 24 2000 Tore Olsen <toreo@trustix.com>
- moved /usr/man to /usr/share/man for FHS compliance

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- fixed build problems on intel and alpha for manhattan

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
~- built against glibc
